package es.verdnatura.presentation.view.feature.historicovehiculo.model

import android.os.Build
import androidx.annotation.RequiresApi
import es.verdnatura.domain.isoToString

class ItemHistoricoVehiculo(
    //var inTimed: String? = null,
    var workerName: String? = null,
    //var outTimed: String? = null,
    var isError: Boolean = false,
    var errorMessage: String = ""
) {
    var inTimed: String = ""
    @RequiresApi(Build.VERSION_CODES.O)
    get(){
        return field.isoToString()
    }
    var outTimed: String = ""
        @RequiresApi(Build.VERSION_CODES.O)
        get(){
            return field.isoToString()
        }

}

class ItemHistoricoVehiculoList(
    var list: List<ItemHistoricoVehiculo> = listOf()
)
